import { jsx as i } from "react/jsx-runtime";
import r from "prop-types";
import { createTheme as o, ThemeProvider as p } from "@arcblock/ux/lib/Theme";
const n = o();
function h({ theme: e = null, children: t }) {
  const m = e ? o(e) : n;
  return /* @__PURE__ */ i(p, { theme: m, children: t });
}
h.propTypes = {
  children: r.any.isRequired,
  theme: r.object
};
export {
  h as default
};
